Index: /pjproject/trunk/pjlib/src/pj/config.c
===================================================================
--- /pjproject/trunk/pjlib/src/pj/config.c	(revision 502)
+++ /pjproject/trunk/pjlib/src/pj/config.c	(revision 503)
@@ -22,5 +22,5 @@
 
 static const char *id = "config.c";
-const char *PJ_VERSION = "0.5.5.6";
+const char *PJ_VERSION = "0.5.6.0";
 
 PJ_DEF(void) pj_dump_config(void)
Index: /pjproject/trunk/pjsip-apps/build/activex-pjsua.dsp
===================================================================
--- /pjproject/trunk/pjsip-apps/build/activex-pjsua.dsp	(revision 502)
+++ /pjproject/trunk/pjsip-apps/build/activex-pjsua.dsp	(revision 503)
@@ -324,5 +324,5 @@
 # Begin Source File
 
-SOURCE="..\src\activex-pjsua\pjsua.h"
+SOURCE="..\src\activex-pjsua\pjsua-structs.h"
 # End Source File
 # Begin Source File
Index: /pjproject/trunk/pjsip-apps/build/pjsua.dsp
===================================================================
--- /pjproject/trunk/pjsip-apps/build/pjsua.dsp	(revision 502)
+++ /pjproject/trunk/pjsip-apps/build/pjsua.dsp	(revision 503)
@@ -93,4 +93,8 @@
 SOURCE=..\src\pjsua\main.c
 # End Source File
+# Begin Source File
+
+SOURCE=..\src\pjsua\pjsua.c
+# End Source File
 # End Group
 # Begin Group "Header Files"
Index: /pjproject/trunk/pjsip-apps/src/pjsua/main.c
===================================================================
--- /pjproject/trunk/pjsip-apps/src/pjsua/main.c	(revision 502)
+++ /pjproject/trunk/pjsip-apps/src/pjsua/main.c	(revision 503)
@@ -18,60 +18,22 @@
  */
 #include <pjsua-lib/pjsua.h>
-#include <pjsua-lib/pjsua_console_app.h>
-
 
 #define THIS_FILE	"main.c"
 
-/*****************************************************************************
- * main():
+
+/*
+ * These are defined in pjsua.c.
  */
+pj_status_t app_init(int argc, char *argv[]);
+pj_status_t app_main(void);
+pj_status_t app_destroy(void);
+
 int main(int argc, char *argv[])
 {
-    pjsua_config cfg;
-    pj_str_t uri_to_call = { NULL, 0 };
-
-    /* Init default settings. */
-    pjsua_default_config(&cfg);
-
-
-    /* Create PJLIB and memory pool */
-    pjsua_create();
-
-
-    /* Parse command line arguments: */
-    if (pjsua_parse_args(argc, argv, &cfg, &uri_to_call) != PJ_SUCCESS)
+    if (app_init(argc, argv) != PJ_SUCCESS)
 	return 1;
 
-
-    /* Init pjsua */
-    if (pjsua_init(&cfg, &console_callback) != PJ_SUCCESS)
-	return 1;
-
-
-    /* Start pjsua! */
-    if (pjsua_start() != PJ_SUCCESS) {
-	pjsua_destroy();
-	return 1;
-    }
-
-
-    /* Sleep for a while, let any messages get printed to console: */
-    pj_thread_sleep(500);
-
-
-    /* Start UI console main loop: */
-    pjsua_console_app_main(&uri_to_call);
-
-
-    /* Destroy pjsua: */
-    pjsua_destroy();
-
-    /* This is for internal testing, to make sure that pjsua_destroy()
-     * can be called multiple times. 
-     */
-    pjsua_destroy();
-
-
-    /* Exit... */
+    app_main();
+    app_destroy();
 
     return 0;
